Menu
Download Free Trial

What is the latest version of the mondrian for XMLA support?

Resolved

Do you providing support via XMLA for newer version(above 3.5.0 version) of the Mondrian for non-embedded source. If yes, how to configure the Mondrian for non-embedded source as they provided in the document? because they have stopped “mondrian.war” file from 3.6.0 version. So let me know any other way to configure the Mondrian XMLA. If you not provided the support for mondrian newer versions means, what is the last version flexmonster supporting XMLA access as in the demo?
 
 

5 answers

Public
Dmytro Zvazhii Flexmonster February 3, 2017

Hello Prabu, 
Thank you for your question. Yes, we are supporting the Mondrian versions above 3.5.0 via XMLA for non-embedded source. We recommend you using the version 3.12 since it has the better compatibility with our component and we are using it for our demos (http://jsfiddle.net/flexmonster/dw3wy4sn/). Also, we suggest you trying our Accelerator tool for the OLAP cubes (http://www.flexmonster.com/doc/getting-started-with-accelerator-mondrian/). It’s a server side proxy created by Flexmonster developers team designed to increase the data loading speed from server to the browser.
Please let us know if you have any questions left.
Best regards,
Dmytro.

Public
Prabu Samynathan February 6, 2017

Thanks Dmytro, I would like to use via XMLA, so how can configure this without “mondrian.war” file? i need to configure my XMLA protocol to check my connection with your tool..

Public
Dmytro Zvazhii Flexmonster February 6, 2017

Hi Prabu!

Yo can find all necessary information in this tutorial http://www.flexmonster.com/doc/connecting-to-pentaho-mondrian/#xmla
Does it help?

Regards,
 Dmytro

Public
Prabu Samynathan February 6, 2017

No use.
Following document you have provided to configure XMLA,
Step 2: Configure XMLA access to the cube
If you have XMLA already configured please skip this step. Otherwise, please refer to the article that explains how to configure Mondrian as an XMLA provider.
 
But, how to configure Mondrian as an XMLA provider in this Mondrian link they have given following steps,
 
3. Deploy and run the web application with a non-embedded database
        1. Install Tomcat (version 5.0.25 or later).
        2. From the unzipped binary release, explode lib/mondrian.war to TOMCAT_HOME/webapps/mondrian
 
But, i can’t find the “mondrian.war” after Mondrian 3.5.0 version. How can configure XMLA without “mondrian.war”.. Whether you support 3.12 version for XMLA or server support only?

Public
Dmytro Zvazhii Flexmonster February 6, 2017

Hello Prabu,
Yes, you are right the Mondrian docs are outdated.
Here are some possible solutions for you:  
https://github.com/pentaho/mondrian/issues/202
http://lists.pentaho.org/pipermail/mondrian/2014-October/004999.html
https://github.com/rpbouman/xmondrian
Regards,
Dmytro.

Please login or Register to Submit Answer